Package org.kapott.hbci.GV_Result

# Class GVRTANList

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRTANList

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public class GVRTANList extends HBCIJobResultImpl
Diese Klasse enthält Informationen über aktuelle TAN-Listen des Kunden. Dabei wird für jede TAN-Liste ein separates Objekt erzeugt. Innerhalb einer TAN-Listen-Informationen gibt es zu jeder verbrauchten TAN genauere Daten.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GVRTANList.TANInfo`
Daten zu genau einer TAN
`static class`
`GVRTANList.TANList`
Informationen zu genau einer TAN-Liste.

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRTANList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTANList(GVRTANList.TANList list)`
`GVRTANList.TANList[]`
`getTANLists()`
Gibt ein Array mit Informationen über jede verfügbare TAN-Liste zurück.
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRTANList

public GVRTANList()

## Method Details

### addTANList

public void addTANList(GVRTANList.TANList list)

### getTANLists

public GVRTANList.TANList[] getTANLists()
Gibt ein Array mit Informationen über jede verfügbare TAN-Liste zurück.

Returns:
  Array mit TAN-Listen-Informationen

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`